Vector BLF: Vector::BLF::SystemVariable Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Vector::BLF::SystemVariable Struct Referencefinal

SYS_VARIABLE. More...

`#include <SystemVariable.h>`

Inheritance diagram for Vector::BLF::SystemVariable:

## Public Types
enum | Type : uint32_t { Double = 1 , Long = 2 , String = 3 , DoubleArray = 4 , LongArray = 5 , LongLong = 6 , ByteArray = 7 }
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint32_t | type {}
| type of system variable
uint32_t | representation {}
| signed, later perhaps also string codepage
uint64_t | reservedSystemVariable1 {}
uint32_t | nameLength {}
| length of variable name in bytes
uint32_t | dataLength {}
| length of variable data in bytes
uint64_t | reservedSystemVariable2 {}
std::string | name {}
| variable name in MBCS
std::vector< uint8_t > | data {}
| variable data
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Detailed Description

SYS_VARIABLE.

System variable that can be used with CANoe.

## Member Enumeration Documentation

## ◆ Type

enum Vector::BLF::SystemVariable::Type : uint32_t

enumeration for type

Enumerator
Double | DOUBLE
Long | LONG
String | STRING
DoubleArray | Array of DOUBLE
LongArray | Array of LONG
LongLong | LONGLONG
ByteArray | Array of BYTE

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::SystemVariable::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeader.

## ◆ read()

void Vector::BLF::SystemVariable::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeader.

## ◆ write()

void Vector::BLF::SystemVariable::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeader.

## Member Data Documentation

## ◆ data

std::vector<uint8_t> Vector::BLF::SystemVariable::data {}

variable data

Data value of the system variable.

## ◆ dataLength

uint32_t Vector::BLF::SystemVariable::dataLength {}

length of variable data in bytes

Length of the data of the environment variable in bytes.

## ◆ name

std::string Vector::BLF::SystemVariable::name {}

variable name in MBCS

Name of the system variable.

## ◆ nameLength

uint32_t Vector::BLF::SystemVariable::nameLength {}

length of variable name in bytes

Length of the name of the system variable (without terminating 0)

## ◆ reservedSystemVariable1

uint64_t Vector::BLF::SystemVariable::reservedSystemVariable1 {}

reserved

## ◆ reservedSystemVariable2

uint64_t Vector::BLF::SystemVariable::reservedSystemVariable2 {}

reserved

The documentation for this struct was generated from the following files:

- SystemVariable.h
- SystemVariable.cpp